---
description: Project information
date: 29 January 2023
---

<!-- Page title left out so it can be generated -->

<PageDescription>
    Project information
</PageDescription>

<AnchorLinks>
    <AnchorLink>Intro</AnchorLink>
    <AnchorLink>Watch a quick intro video</AnchorLink>
    <AnchorLink>History</AnchorLink>
</AnchorLinks>

## Intro

### Watch a quick intro video

<Video src="https://st-assets.s3.jp-tok.cloud-object-storage.appdomain.cloud/Introducing%20Smart%20time%202023%20QP.mp4" />

## History

Starting back from 08/2022 I started to looking for problems around the school. to satisfies the request of SICP.
My mind had first idea: **SICP Telemetry(TM)**. but I decided against this, because It's cost-ineffective, high cost, and unpredictable outcome.

then second and third ideas:
- ~~Flooding walkway~~ (Not easy, and not sustainable)
- ~~School base replacement~~ (High-risk, don't like)
and finally Smart time, idea offered by Nutt. which satisfied by request. and dont have spacial matter to think about.

Problem: Student skipping/leaving without permission (Yes, it is).
Solution: Make an app to track time.

### The problems
I see student skipping/leaving without permission are common problems around the school.
School and teachers are trying to solve this problem by using a 'plastic permission card'.
But it really didn't help that problems. and deprecated and no one uses.

## Impacts
From my perspective, I think this can help
These are an only example of them.
- Prevent unauthorized students from accessing the infirmary or unwanted places
- Prevent students from skipping class
- Prevent the use of toilet passes which can spread germs
- Helps teachers to time track authorized students
- And much more as we expected

## A bit internal view

The app implementation details will be published here once I received permission from club manager.

## UI

### Rendering

### Server

### Networking

## Final note

I expected that school should use our app, or at least teachers.
~~~
